package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 巡检问题处理结果对象
 *
 * @team tuoheng
 * @author chenlu
 * @date 2024-06-20
 */
@Data
@Accessors(chain = true)
@TableName("th_inspection_file_check_record")
public class InspectionFileCheckRecord {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 问题处理结果表id
     */
    private String inspectionFileHandleId;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 巡检问题文件ID
     */
    private String inspectionFileId;

    /**
     * 审核结果 0未审核 1合适 2不合适
     */
    private Integer audit;

    /**
     * 审核意见
     */
    private String auditView;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date auditTime;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;

    /**
     * 处理人ID
     */
    private String handlerUser;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private String handlerImage;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date handlerTime;

}

